#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), remove when upstream will support it
%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%define		_enable_debug_packages	0

Summary:	OCaml library for arc and node graphs
Name:		ocaml-graph
Version:	1.8.8
Release:	1
License:	LGPLv2 with exceptions
Group:		Libraries
Source0:	http://ocamlgraph.lri.fr/download/ocamlgraph-%{version}.tar.gz
# Source0-md5:	9d71ca69271055bd22d0dfe4e939831a
URL:		http://ocamlgraph.lri.fr/
BuildRequires:	libart_lgpl-devel
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-lablgtk2-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ocamlgraph provides several different implementations of graph data
structures. It also provides implementations for a number of classical
graph algorithms like Kruskal's algorithm for MSTs, topological
ordering of DAGs, Dijkstra's shortest paths algorithm, and
Ford-Fulkerson's maximal-flow algorithm to name a few. The algorithms
and data structures are written functorially for maximal reusability.
Also has input and output capability for Graph Modeling Language file
format and Dot and Neato graphviz (graph visualization) tools.

%package devel
Summary:	OCaml library for arc and node graphs - development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq ocaml

%description devel
Ocamlgraph provides several different implementations of graph data
structures. It also provides implementations for a number of classical
graph algorithms like Kruskal's algorithm for MSTs, topological
ordering of DAGs, Dijkstra's shortest paths algorithm, and
Ford-Fulkerson's maximal-flow algorithm to name a few. The algorithms
and data structures are written functorially for maximal reusability.
Also has input and output capability for Graph Modeling Language file
format and Dot and Neato graphviz (graph visualization) tools.

This package contains files needed to develop OCaml programs using
Ocamlgraph library.

%prep
%setup -q -n ocamlgraph-%{version}

%build
%configure

%{__make} -j1 all %{?with_ocaml_opt:opt} \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/ocaml/ocamlgraph,%{_examplesdir}/%{name}-%{version}}

cp -p *.cm[ixao]* %{?with_ocaml_opt:*.a} $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlgraph
cp -p META $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlgraph

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS FAQ
%dir %{_libdir}/ocaml/ocamlgraph
%{_libdir}/ocaml/ocamlgraph/META
%{_libdir}/ocaml/ocamlgraph/*.cma
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/ocamlgraph/*.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%doc LICENSE lib/*.mli src/*.mli
%{_libdir}/ocaml/ocamlgraph/*.cmo
%{_libdir}/ocaml/ocamlgraph/*.cm[ix]
%if %{with ocaml_opt}
%{_libdir}/ocaml/ocamlgraph/*.[ao]
%{_libdir}/ocaml/ocamlgraph/*.cmxa
%endif
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-graph.git;a=log;h=master

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 73cfbe3
- devel R main package

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> b4147ee
- up to 1.8.8

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 314f13c
- rebuild with ocaml 4.04.1
- release 7 (by relup.sh)

* Mon Mar 21 2016 Jan Rękorajski <baggins@pld-linux.org> 0b0e210
- release 6 (by relup.sh)

* Sun Jul 26 2015 Jan Rękorajski <baggins@pld-linux.org> 2f82887
- install .cmo file, it's needed to build why3
- rel 5

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 0184dd1
- add ocaml_opt bcond
- rel 4

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 599f290
- rebuild with ocaml 4.02
- release 3 (by relup.sh)

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 43d05ae
- removed bogus deps
- rel 2

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 2f3e206
- new

